
GlassEye = {
	screen = Image.createEmpty(screen:width(), screen:height()),
	CursorIcon = Image.load("system/themes/default/mouse.png"),
	message = "Press a button dummy.",
	exit = nil,
	CurX = 0,
	CurY = 0
}

function GlassEye:DisplayUpdate()
	GlassEye.screen:clear(Color.new(255,255,255))
	if (GlassEyeGUI) then
		GlassEyeGUI:UpdateWindows()
	end
	
	--screen:fontPrint(TimesNewRoman, (screen:width()/2) - ((string.len(GlassEye.message)/2) * 5), screen:height()-12, GlassEye.message, Color.new(0,0,0))
	--screen:print((screen:width()/2) - ((string.len(GlassEye.message)/2) * 5), screen:height()-12, GlassEye.message, Color.new(0,0,0))
	GlassEye:DrawCursor()
end

function GlassEye:DrawCursor()
		screen:blit(0,0,GlassEye.screen)
		screen:blit(GlassEye.CurX,GlassEye.CurY,GlassEye.CursorIcon)
		screen.waitVblankStart()
		screen:flip()
end
function GlassEye:CursorCheck(key)
	result = nil
	if key:analogX() > 50 or key:analogX() < -50 then
		GlassEye.CurX = GlassEye.CurX+math.ceil(key:analogX()/20)
		if GlassEye.CurX > screen:width() then
			GlassEye.CurX = screen:width()
		elseif (GlassEye.CurX < 0) then
			GlassEye.CurX = 0
		end
		--
		--Trigger Mouse Event
		--
		result = 1
	end
	if key:analogY() > 50 or key:analogY() < -50 then
		GlassEye.CurY = GlassEye.CurY+math.ceil(key:analogY()/20)
		if (GlassEye.CurY > screen:height()) then
			GlassEye.CurY = screen:height()
		elseif (GlassEye.CurY < 0) then
			GlassEye.CurY = 0
		end
		--
		--Trigger Mouse Event
		--
		result = 1
	end

	return result
	
end


TimesNewRoman = Font.load("system/fonts/Times New Roman.ttf")
--TimesNewRomanB = Font.load("system/fonts/Times New Roman Bold.ttf")
--TimesNewRomanI = Font.load("system/fonts/Times New Roman Italic.ttf")
--TimesNewRomanBI = Font.load("system/fonts/Times New Roman Bold Italic.ttf")

TimesNewRoman:setPixelSizes(0,15)
--TimesNewRomanB:setPixelSizes(0,15)
--TimesNewRomanI:setPixelSizes(0,15)
--TimesNewRomanBI:setPixelSizes(0,15)
--TimesNewRoman:setCharSize(20, 15, 8, 8)

screen:clear(Color.new(20, 126, 180))
screen.waitVblankStart()
screen:flip()

System.currentDirectory("system")
dofile("gui.lua")
dofile("input.lua")
dofile("startbar.lua")

System.currentDirectory("..")
System.currentDirectory("Program Files")
System.currentDirectory("Calculator")
dofile("exe.lua")
System.currentDirectory("..")
System.currentDirectory("..")


GlassEye:DisplayUpdate()
System.usbDiskModeActivate()
while true do
	local key = Controls.read()
	local display = nil
	if (key:select()) and (key:r()) then
		break
	end
	if (GlassEyeInput) then
		if (GlassEyeInput:CheckInput(key)) then
			if (GlassEyeGUI) then
				GlassEyeGUI:WindowClicks()
			end
			display = 1
		end
	end
	if (GlassEye:CursorCheck(key)) then
		GlassEye:DrawCursor()
		--display = 1
	end
	if (display) then
		GlassEye:DisplayUpdate()
	end
	if (GlassEye.exit) then
		break
	end
end
System.usbDiskModeDeactivate()
