GlassEyeInput = {
	["KeyList"] = { }
}

table.insert(GlassEyeInput["KeyList"], {Controls.selectMask, "Select", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.startMask, "Start", nil})

table.insert(GlassEyeInput["KeyList"], {Controls.upMask, "Up", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.rightMask, "Right", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.downMask, "Down", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.leftMask, "Left", nil})

table.insert(GlassEyeInput["KeyList"], {Controls.ltriggerMask, "LTrigger", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.rtriggerMask, "RTrigger", nil})

table.insert(GlassEyeInput["KeyList"], {Controls.triangleMask, "Triangle", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.circleMask, "Circle", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.crossMask, "Cross", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.squareMask, "Square", nil})

table.insert(GlassEyeInput["KeyList"], {Controls.homeMask, "Home", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.holdMask, "Hold", nil})
table.insert(GlassEyeInput["KeyList"], {Controls.noteMask, "Note", nil})

function GlassEyeInput:CheckInput(key)
	result = nil
	for k, v in GlassEyeInput["KeyList"] do
		if (key:buttons() & v[1] > 0) then
			if (not v[3]) then
				v[3] = 1
				result = 1
			end
		else
			if (v[3]) then
				v[3] = nil
				result = 1
			end
		end
	end
	return result
end

function GlassEyeInput:KeyUp(keyid)
	result = 1
	for k, v in GlassEyeInput["KeyList"] do
		if (keyid) then
			if (v[2] == keyid) and (v[3]) then
				result = nil
			end
		elseif (not keyid) then
			if (v[3]) then
				result = nil
			end
		end
	end
	return result
end

function GlassEyeInput:KeyDown(keyid)
	result = nil
	for k, v in GlassEyeInput["KeyList"] do
		if keyid and keyid == v[2] then
			if (v[3]) then
				result = 1
			end
		elseif (not keyid) then
			if (v[3]) then
				result = 1
			end
		end

	end
	return result
end