Calculator = {
	last = "",
	total = 0,
	clear = true
}

function Calculator:OnClick(frameid, key,value)
	local frame = GlassEyeGUI["Frames"][frameid]
	if (value == "Clear") then
		frame["Elements"][2]["Text"] = "0"
		Calculator.clear = true
		Calculator.total = 0
		Calculator.last = ""
	end

	if (value == "+/-") then
		frame["Elements"][2]["Text"] = -tonumber(frame["Elements"][2]["Text"])
	end
	if (value == "/") or (value == "*") or (value == "-") or (value == "+") or (value == "=") then
		local arg1 = Calculator.total
		local arg2 = tonumber(frame["Elements"][2]["Text"])

		if (Calculator.last == "*") then
			Calculator.total = arg1*arg2
		end
		if (Calculator.last == "/") then
			Calculator.total = arg1/arg2
		end
		if (Calculator.last == "+") then
			Calculator.total = arg1+arg2
		end
		if (Calculator.last == "-") then
			Calculator.total = arg1-arg2
		end
		if (value == "=") then
			Calculator.last = ""
		else
			Calculator.last = value
		end
		if (Calculator.total == 0) then
			Calculator.total = arg2
		end
		frame["Elements"][2]["Text"] = Calculator.total

		Calculator.clear = true
	end


	if (string.len(frame["Elements"][2]["Text"]) > 17) then
		return nil
	end


	if (type(value) == "number") or (value == ".") then
		if (frame["Elements"][2]["Text"]) then
			if (Calculator.clear) then
				frame["Elements"][2]["Text"] = value
				Calculator.clear = false
			else
				frame["Elements"][2]["Text"] = frame["Elements"][2]["Text"]..value
			end
		end
		GlassEye.message = "Button "..key..value.." "..string.len(frame["Elements"][2]["Text"])
	end

end






if GlassEyeGUI then
	GlassEyeGUI:RegisterWindow({
		["FrameID"] = "Calculator",
		["Text"] = "Calculator",
		["X"] = 0,
		["Y"] = 0,
		["Width"] = 171,
		["Height"] = 182,
		["Visible"] = 1,
		["Elements"] = {
			[1] = {
				["Type"] = "DrawBox",
				["X"] = 8,
				["Y"] = 0,
				["Width"] = 155,
				["Height"] = 20,
				["Visible"] = 1,
				["BGColor"] = {255,255,255},
				["BorderColor"] = {0,0,255},
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"disp box") end
			},
			[2] = {
				["Type"] = "Text",
				["Text"] = "0",
				["Align"] = "RIGHT",
				["X"] = 8,
				["Y"] = 0,
				["Width"] = 155,
				["Height"] = 20,
				["Visible"] = 1
			},
			[3] = {
				["Type"] = "Button",
				["Text"] = "Clear",
				["X"] = 8,
				["Y"] = 23,
				["Width"] = 70,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"Clear") end
			},
			[4] = {
				["Type"] = "Button",
				["Text"] = "+",
				["X"] = 8,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,

				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"") end
			},
			[5] = {
				["Type"] = "Button",
				["Text"] = "+",
				["X"] = 8,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,

				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"") end
			},
			[6] = {
				["Type"] = "Button",
				["Text"] = "+",
				["X"] = 8,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,

				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"") end
			},
			[7] = {
				["Type"] = "Button",
				["Text"] = "+",
				["X"] = 8,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,

				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"") end
			},
			[8] = {
				["Type"] = "Button",
				["Text"] = "7",
				["X"] = 34,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,7) end
			},
			[9] = {
				["Type"] = "Button",
				["Text"] = "4",
				["X"] = 34,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,4) end
			},
			[10] = {
				["Type"] = "Button",
				["Text"] = "1",
				["X"] = 34,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,1) end
			},
			[11] = {
				["Type"] = "Button",
				["Text"] = "0",
				["X"] = 34,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,0) end
			},



			[12] = {
				["Type"] = "Button",
				["Text"] = "8",
				["X"] = 60,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,8) end
			},
			[13] = {
				["Type"] = "Button",
				["Text"] = "5",
				["X"] = 60,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,5) end
			},
			[14] = {
				["Type"] = "Button",
				["Text"] = "2",
				["X"] = 60,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,2) end
			},
			[15] = {
				["Type"] = "Button",
				["Text"] = "+/-",
				["X"] = 60,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"+/-") end
			},



			[16] = {
				["Type"] = "Button",
				["Text"] = "9",
				["X"] = 86,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,9) end
			},
			[17] = {
				["Type"] = "Button",
				["Text"] = "6",
				["X"] = 86,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,6) end
			},
			[18] = {
				["Type"] = "Button",
				["Text"] = "3",
				["X"] = 86,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,3) end
			},
			[19] = {
				["Type"] = "Button",
				["Text"] = ".",
				["X"] = 86,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,".") end
			},


			[20] = {
				["Type"] = "Button",
				["Text"] = "/",
				["X"] = 112,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"/") end
			},

			[21] = {
				["Type"] = "Button",
				["Text"] = "*",
				["X"] = 112,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"*") end
			},
			[22] = {
				["Type"] = "Button",
				["Text"] = "-",
				["X"] = 112,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"-") end
			},
			[23] = {
				["Type"] = "Button",
				["Text"] = "+",
				["X"] = 112,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"+") end
			},



			[24] = {
				["Type"] = "Button",
				["Text"] = "/",
				["X"] = 138,
				["Y"] = 49,
				["Width"] = 25,
				["Height"] = 25,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"/") end
			},
			[25] = {
				["Type"] = "Button",
				["Text"] = "*",
				["X"] = 138,
				["Y"] = 75,
				["Width"] = 25,
				["Height"] = 25,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"*") end
			},
			[26] = {
				["Type"] = "Button",
				["Text"] = "-",
				["X"] = 138,
				["Y"] = 101,
				["Width"] = 25,
				["Height"] = 25,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"-") end
			},
			[27] = {
				["Type"] = "Button",
				["Text"] = "=",
				["X"] = 138,
				["Y"] = 127,
				["Width"] = 25,
				["Height"] = 25,
				["Visible"] = 1,
				["OnKeyDown"] = function(f, k) Calculator:OnClick(f, k,"=") end
			},

		}
	})
end